Bug 377395 - Kontact is crashing during start up
Summary: Kontact is crashing during start up
Status: RESOLVED WORKSFORME
Alias: None
Product: kontact
Classification: Applications
Component: general (show other bugs)
Version: 5.4.2
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
: 379623 382560 384083 385847 403417 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-03-08 21:55 UTC by Steve
Modified: 2021-07-20 04:33 UTC (History)
10 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (35.19 KB, text/plain)
2017-08-28 16:24 UTC, Logan Byrd
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Steve 2017-03-08 21:55:44 UTC
Application: kontact (5.4.2)

Qt Version: 5.6.2
Frameworks Version: 5.31.0
Operating System: Linux 4.9.13-100.fc24.x86_64 x86_64
Distribution (Platform): Fedora RPMs

-- Information about the crash:
Kontact was not showing mail contents when I clicked on a message. I shut down kontact. Waited a couple seconds. Then restarted it. The screen flickered and I have a crash notification.

-- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
185	62:	movl	(%rsp), %edi
[Current thread is 1 (Thread 0x7fe697b9c940 (LWP 6015))]

Thread 30 (Thread 0x7fe58a648700 (LWP 6582)):
#0  0x00007fe6ae7d156d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fe6a5296a06 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007fe6a5296b1c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007fe6af5d780b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fe57c02d2b0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#4  0x00007fe6af58683a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fe58a647c80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:206
#5  0x00007fe6af3e5343 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:500
#6  0x00007fe6af3e99aa in QThreadPrivate::start(void*) (arg=0x559642a1e650) at thread/qthread_unix.cpp:365
#7  0x00007fe6a6f4c5ca in start_thread (arg=0x7fe58a648700) at pthread_create.c:333
#8  0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 29 (Thread 0x7fe56abfd700 (LWP 6100)):
#0  0x00007fe6ae7d156d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fe6a5296a06 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007fe6a5296b1c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007fe6af5d780b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fe560000940, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#4  0x00007fe6af58683a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fe56abfcc80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:206
#5  0x00007fe6af3e5343 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:500
#6  0x00007fe6af3e99aa in QThreadPrivate::start(void*) (arg=0x55966473cf60) at thread/qthread_unix.cpp:365
#7  0x00007fe6a6f4c5ca in start_thread (arg=0x7fe56abfd700) at pthread_create.c:333
#8  0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 28 (Thread 0x7fe56b3fe700 (LWP 6076)):
#0  0x00007fe6a6f51bd0 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fe6ab0cf959 in base::SequencedWorkerPool::Inner::ThreadLoop(base::SequencedWorkerPool::Worker*) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007fe6ab0d0020 in base::SequencedWorkerPool::Worker::Run() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007fe6ab0d01f0 in base::SimpleThread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007fe6ab0ccc2d in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007fe6a6f4c5ca in start_thread (arg=0x7fe56b3fe700) at pthread_create.c:333
#6  0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 27 (Thread 0x7fe56bbff700 (LWP 6075)):
#0  0x00007fe6a6f51bd0 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fe6ab0cf959 in base::SequencedWorkerPool::Inner::ThreadLoop(base::SequencedWorkerPool::Worker*) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007fe6ab0d0020 in base::SequencedWorkerPool::Worker::Run() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007fe6ab0d01f0 in base::SimpleThread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007fe6ab0ccc2d in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007fe6a6f4c5ca in start_thread (arg=0x7fe56bbff700) at pthread_create.c:333
#6  0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 26 (Thread 0x7fe5737fe700 (LWP 6053)):
#0  0x00007fe6ae7cd1cd in read () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fe6a52d9660 in g_wakeup_acknowledge () at /lib64/libglib-2.0.so.0
#2  0x00007fe6a52964d6 in g_main_context_check () at /lib64/libglib-2.0.so.0
#3  0x00007fe6a52969a4 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#4  0x00007fe6a5296d92 in g_main_loop_run () at /lib64/libglib-2.0.so.0
#5  0x00007fe68dcf7e46 in gdbus_shared_thread_func () at /lib64/libgio-2.0.so.0
#6  0x00007fe6a52bccf5 in g_thread_proxy () at /lib64/libglib-2.0.so.0
#7  0x00007fe6a6f4c5ca in start_thread (arg=0x7fe5737fe700) at pthread_create.c:333
#8  0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 25 (Thread 0x7fe57bfff700 (LWP 6052)):
#0  0x00007fe6ae7cd1cd in read () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fe6a52d9660 in g_wakeup_acknowledge () at /lib64/libglib-2.0.so.0
#2  0x00007fe6a52964d6 in g_main_context_check () at /lib64/libglib-2.0.so.0
#3  0x00007fe6a52969a4 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#4  0x00007fe6a5296b1c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#5  0x00007fe6a5296b61 in glib_worker_main () at /lib64/libglib-2.0.so.0
#6  0x00007fe6a52bccf5 in g_thread_proxy () at /lib64/libglib-2.0.so.0
#7  0x00007fe6a6f4c5ca in start_thread (arg=0x7fe57bfff700) at pthread_create.c:333
#8  0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 24 (Thread 0x7fe589e47700 (LWP 6049)):
#0  0x00007fe6a5295f72 in g_main_context_prepare () at /lib64/libglib-2.0.so.0
#1  0x00007fe6a529692b in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007fe6a5296b1c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007fe6af5d780b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fe5800008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#4  0x00007fe6af58683a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fe589e46c80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:206
#5  0x00007fe6af3e5343 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:500
#6  0x00007fe6af3e99aa in QThreadPrivate::start(void*) (arg=0x559642a3d6c0) at thread/qthread_unix.cpp:365
#7  0x00007fe6a6f4c5ca in start_thread (arg=0x7fe589e47700) at pthread_create.c:333
#8  0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 23 (Thread 0x7fe58ae49700 (LWP 6047)):
#0  0x00007fe6ae7d156d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fe6a5296a06 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007fe6a5296b1c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007fe6af5d780b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fe5840008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#4  0x00007fe6af58683a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fe58ae48c80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:206
#5  0x00007fe6af3e5343 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:500
#6  0x00007fe6af3e99aa in QThreadPrivate::start(void*) (arg=0x559642a16c50) at thread/qthread_unix.cpp:365
#7  0x00007fe6a6f4c5ca in start_thread (arg=0x7fe58ae49700) at pthread_create.c:333
#8  0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 22 (Thread 0x7fe62bffe700 (LWP 6046)):
#0  0x00007fe6a6f51bd0 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fe699ca21a4 in QTWTF::TCMalloc_PageHeap::scavengerThread() () at /lib64/libQt5Script.so.5
#2  0x00007fe699ca21e9 in  () at /lib64/libQt5Script.so.5
#3  0x00007fe6a6f4c5ca in start_thread (arg=0x7fe62bffe700) at pthread_create.c:333
#4  0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 21 (Thread 0x7fe63d25f700 (LWP 6039)):
#0  0x00007fe6a6f51bd0 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fe6aafdf7c0 in mojo::system::Waiter::Wait(unsigned long, unsigned int*) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007fe6aafcb39c in mojo::system::Core::WaitManyInternal(unsigned int const*, unsigned int const*, unsigned int, unsigned long, unsigned int*, mojo::system::HandleSignalsState*) () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007fe6aafcb89c in mojo::system::Core::WaitMany(mojo::system::UserPointer<unsigned int const>, mojo::system::UserPointer<unsigned int const>, unsigned int, unsigned long, mojo::system::UserPointer<unsigned int>, mojo::system::UserPointer<MojoHandleSignalsState>) () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007fe6aafc7cf5 in MojoWaitMany () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007fe6ac63ec47 in mojo::common::MessagePumpMojo::DoInternalWork(mojo::common::MessagePumpMojo::RunState const&, bool) () at /lib64/libQt5WebEngineCore.so.5
#6  0x00007fe6ac63ee7e in mojo::common::MessagePumpMojo::DoRunLoop(mojo::common::MessagePumpMojo::RunState*, base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007fe6ac63efb9 in mojo::common::MessagePumpMojo::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007fe6ab0b7ca4 in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#9  0x00007fe6ab0a2ae5 in base::MessageLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#10 0x00007fe6ab0d06e6 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#11 0x00007fe6ab0ccc2d in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#12 0x00007fe6a6f4c5ca in start_thread (arg=0x7fe63d25f700) at pthread_create.c:333
#13 0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 20 (Thread 0x7fe63da60700 (LWP 6038)):
#0  0x00007fe6a6f51bd0 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fe6ab0cf959 in base::SequencedWorkerPool::Inner::ThreadLoop(base::SequencedWorkerPool::Worker*) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007fe6ab0d0020 in base::SequencedWorkerPool::Worker::Run() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007fe6ab0d01f0 in base::SimpleThread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007fe6ab0ccc2d in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007fe6a6f4c5ca in start_thread (arg=0x7fe63da60700) at pthread_create.c:333
#6  0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 19 (Thread 0x7fe63e261700 (LWP 6037)):
#0  0x00007fe6ae7cd1cd in read () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fe66059fb31 in pa_read () at /usr/lib64/pulseaudio/libpulsecommon-8.0.so
#2  0x00007fe68008cd7e in pa_mainloop_prepare () at /lib64/libpulse.so.0
#3  0x00007fe68008d7f0 in pa_mainloop_iterate () at /lib64/libpulse.so.0
#4  0x00007fe68008d8b0 in pa_mainloop_run () at /lib64/libpulse.so.0
#5  0x00007fe68009b8c9 in thread () at /lib64/libpulse.so.0
#6  0x00007fe6605cd18b in internal_thread_func () at /usr/lib64/pulseaudio/libpulsecommon-8.0.so
#7  0x00007fe6a6f4c5ca in start_thread (arg=0x7fe63e261700) at pthread_create.c:333
#8  0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 18 (Thread 0x7fe63f7fe700 (LWP 6036)):
#0  0x00007fe6ae7eaf1c in __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:95
#1  0x00007fe6ae7ec9d4 in ___fprintf_chk (fp=0x7fe6aea98750 <_IO_stdfile_2_lock>, flag=1, format=0x7fe6a06dac74 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007fe6a06c289e in _warn_helper () at /lib64/libevent-2.0.so.5
#3  0x00007fe6a06c2a94 in event_warn () at /lib64/libevent-2.0.so.5
#4  0x00007fe6a06c70d8 in epoll_dispatch () at /lib64/libevent-2.0.so.5
#5  0x00007fe6a06b10e0 in event_base_loop () at /lib64/libevent-2.0.so.5
#6  0x00007fe6ab07fd9e in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007fe6ab0b7ca4 in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007fe6ab0a2ae5 in base::MessageLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#9  0x00007fe6ab0d06e6 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#10 0x00007fe6ab0ccc2d in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#11 0x00007fe6a6f4c5ca in start_thread (arg=0x7fe63f7fe700) at pthread_create.c:333
#12 0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 17 (Thread 0x7fe63ffff700 (LWP 6035)):
#0  0x00007fe6a6f51bd0 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fe6a59bb1f7 in _xcb_conn_wait () at /lib64/libxcb.so.1
#2  0x00007fe6a59bc89f in wait_for_reply () at /lib64/libxcb.so.1
#3  0x00007fe6a59bc9b3 in xcb_wait_for_reply () at /lib64/libxcb.so.1
#4  0x00007fe6a8ab636a in _XReply () at /lib64/libX11.so.6
#5  0x00007fe6866a89c8 in  () at /usr/lib64/nvidia/libGLX_nvidia.so.0
#6  0x00007fe6866a92a5 in  () at /usr/lib64/nvidia/libGLX_nvidia.so.0
#7  0x00007fe69b058213 in InternalLoseCurrent () at /lib64/libGLX.so.0
#8  0x00007fe69b059d09 in CommonMakeCurrent () at /lib64/libGLX.so.0
#9  0x00007fe6aafbf53f in gfx::GLContextGLX::ReleaseCurrent(gfx::GLSurface*) () at /lib64/libQt5WebEngineCore.so.5
#10 0x00007fe6ab85012c in gpu::gles2::GLES2DecoderImpl::Destroy(bool) [clone .part.643] () at /lib64/libQt5WebEngineCore.so.5
#11 0x00007fe6aadd4e22 in content::GpuCommandBufferStub::Destroy() () at /lib64/libQt5WebEngineCore.so.5
#12 0x00007fe6aadd531e in content::GpuCommandBufferStub::OnInitializeFailed(IPC::Message*) () at /lib64/libQt5WebEngineCore.so.5
#13 0x00007fe6aadd585f in content::GpuCommandBufferStub::OnInitialize(base::FileDescriptor, IPC::Message*) () at /lib64/libQt5WebEngineCore.so.5
#14 0x00007fe6aadd62c7 in content::GpuCommandBufferStub::OnMessageReceived(IPC::Message const&) () at /lib64/libQt5WebEngineCore.so.5
#15 0x00007fe6aadb508f in content::MessageRouter::RouteMessage(IPC::Message const&) () at /lib64/libQt5WebEngineCore.so.5
#16 0x00007fe6aadd0523 in content::GpuChannel::HandleMessage() () at /lib64/libQt5WebEngineCore.so.5
#17 0x00007fe6ab0f6508 in base::debug::TaskAnnotator::RunTask(char const*, char const*, base::PendingTask const&) () at /lib64/libQt5WebEngineCore.so.5
#18 0x00007fe6ab0a35f4 in base::MessageLoop::RunTask(base::PendingTask const&) () at /lib64/libQt5WebEngineCore.so.5
#19 0x00007fe6ab0a3e19 in base::MessageLoop::DeferOrRunPendingTask(base::PendingTask const&) () at /lib64/libQt5WebEngineCore.so.5
#20 0x00007fe6ab0a42e2 in base::MessageLoop::DoWork() () at /lib64/libQt5WebEngineCore.so.5
#21 0x00007fe6ab0a67d9 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#22 0x00007fe6ab0b7ca4 in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#23 0x00007fe6ab0a2ae5 in base::MessageLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#24 0x00007fe6ab0d06e6 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#25 0x00007fe6ab0ccc2d in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#26 0x00007fe6a6f4c5ca in start_thread (arg=0x7fe63ffff700) at pthread_create.c:333
#27 0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 16 (Thread 0x7fe660ff9700 (LWP 6034)):
#0  0x00007fe6a6f51bd0 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fe6ab0c5445 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007fe6ab0c5524 in base::WaitableEvent::Wait() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007fe6ab0a6823 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007fe6ab0b7ca4 in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007fe6ab0a2ae5 in base::MessageLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#6  0x00007fe6ab0d06e6 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007fe6ab0ccc2d in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007fe6a6f4c5ca in start_thread (arg=0x7fe660ff9700) at pthread_create.c:333
#9  0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 15 (Thread 0x7fe6617fa700 (LWP 6033)):
#0  0x00007fe6a6f51bd0 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fe6aa96be59 in cc::TaskGraphRunner::Run() () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007fe6ab0d01f0 in base::SimpleThread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007fe6ab0ccc2d in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007fe6a6f4c5ca in start_thread (arg=0x7fe6617fa700) at pthread_create.c:333
#5  0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 14 (Thread 0x7fe661ffb700 (LWP 6032)):
#0  0x00007fe6a6f51bd0 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fe6ab0c5445 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007fe6ab0c5524 in base::WaitableEvent::Wait() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007fe6ab0a6823 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007fe6ab0b7ca4 in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007fe6ab0a2ae5 in base::MessageLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#6  0x00007fe6ab0d06e6 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007fe6ab0ccc2d in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007fe6a6f4c5ca in start_thread (arg=0x7fe661ffb700) at pthread_create.c:333
#9  0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 13 (Thread 0x7fe6627fc700 (LWP 6031)):
[KCrash Handler]
#6  0x00007fe6a9b5db3e in QtWebEngineCore::NetworkDelegateQt::OnBeforeURLRequest(net::URLRequest*, base::Callback<void (int)> const&, GURL*) () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007fe6aa451210 in net::NetworkDelegate::NotifyBeforeURLRequest(net::URLRequest*, base::Callback<void (int)> const&, GURL*) () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007fe6aa415800 in net::URLRequest::Start() () at /lib64/libQt5WebEngineCore.so.5
#9  0x00007fe6aa640da0 in content::ResourceLoader::StartRequestInternal() () at /lib64/libQt5WebEngineCore.so.5
#10 0x00007fe6aa640e98 in content::ResourceLoader::StartRequest() () at /lib64/libQt5WebEngineCore.so.5
#11 0x00007fe6aa63950c in content::ResourceDispatcherHostImpl::StartLoading(content::ResourceRequestInfoImpl*, linked_ptr<content::ResourceLoader> const&) () at /lib64/libQt5WebEngineCore.so.5
#12 0x00007fe6aa63b2ee in content::ResourceDispatcherHostImpl::BeginRequestInternal(scoped_ptr<net::URLRequest, base::DefaultDeleter<net::URLRequest> >, scoped_ptr<content::ResourceHandler, base::DefaultDeleter<content::ResourceHandler> >) () at /lib64/libQt5WebEngineCore.so.5
#13 0x00007fe6aa63db8a in content::ResourceDispatcherHostImpl::BeginRequest(int, ResourceHostMsg_Request const&, IPC::Message*, int) () at /lib64/libQt5WebEngineCore.so.5
#14 0x00007fe6aa63de6d in content::ResourceDispatcherHostImpl::OnRequestResource(int, int, ResourceHostMsg_Request const&) () at /lib64/libQt5WebEngineCore.so.5
#15 0x00007fe6aa63f97d in content::ResourceDispatcherHostImpl::OnMessageReceived(IPC::Message const&, content::ResourceMessageFilter*) () at /lib64/libQt5WebEngineCore.so.5
#16 0x00007fe6aa753b99 in content::BrowserMessageFilter::Internal::OnMessageReceived(IPC::Message const&) () at /lib64/libQt5WebEngineCore.so.5
#17 0x00007fe6ab1203fe in IPC::(anonymous namespace)::TryFiltersImpl(std::vector<IPC::MessageFilter*, std::allocator<IPC::MessageFilter*> >&, IPC::Message const&) () at /lib64/libQt5WebEngineCore.so.5
#18 0x00007fe6ab118aa8 in IPC::ChannelProxy::Context::TryFilters(IPC::Message const&) () at /lib64/libQt5WebEngineCore.so.5
#19 0x00007fe6ab118ba1 in IPC::ChannelProxy::Context::OnMessageReceived(IPC::Message const&) () at /lib64/libQt5WebEngineCore.so.5
#20 0x00007fe6ab119c7e in IPC::internal::ChannelReader::DispatchInputData(char const*, int) () at /lib64/libQt5WebEngineCore.so.5
#21 0x00007fe6ab11a054 in IPC::internal::ChannelReader::ProcessIncomingMessages() () at /lib64/libQt5WebEngineCore.so.5
#22 0x00007fe6ab117542 in IPC::ChannelPosix::OnFileCanReadWithoutBlocking(int) () at /lib64/libQt5WebEngineCore.so.5
#23 0x00007fe6ab08082e in base::MessagePumpLibevent::FileDescriptorWatcher::OnFileCanReadWithoutBlocking(int, base::MessagePumpLibevent*) () at /lib64/libQt5WebEngineCore.so.5
#24 0x00007fe6ab080a30 in base::MessagePumpLibevent::OnLibeventNotification(int, short, void*) () at /lib64/libQt5WebEngineCore.so.5
#25 0x00007fe6a06b1605 in event_base_loop () at /lib64/libevent-2.0.so.5
#26 0x00007fe6ab07ff1b in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#27 0x00007fe6ab0b7ca4 in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#28 0x00007fe6ab0a2ae5 in base::MessageLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#29 0x00007fe6aa5c8648 in content::BrowserThreadImpl::IOThreadRun(base::MessageLoop*) () at /lib64/libQt5WebEngineCore.so.5
#30 0x00007fe6aa5c87ab in content::BrowserThreadImpl::Run(base::MessageLoop*) () at /lib64/libQt5WebEngineCore.so.5
#31 0x00007fe6ab0d0768 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#32 0x00007fe6ab0ccc2d in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#33 0x00007fe6a6f4c5ca in start_thread (arg=0x7fe6627fc700) at pthread_create.c:333
#34 0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 12 (Thread 0x7fe662ffd700 (LWP 6030)):
#0  0x00007fe6ae7eaf1c in __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:95
#1  0x00007fe6ae7ec9d4 in ___fprintf_chk (fp=0x7fe6aea98750 <_IO_stdfile_2_lock>, flag=1, format=0x7fe6a06dac74 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007fe6a06c289e in _warn_helper () at /lib64/libevent-2.0.so.5
#3  0x00007fe6a06c2a94 in event_warn () at /lib64/libevent-2.0.so.5
#4  0x00007fe6a06c70d8 in epoll_dispatch () at /lib64/libevent-2.0.so.5
#5  0x00007fe6a06b10e0 in event_base_loop () at /lib64/libevent-2.0.so.5
#6  0x00007fe6ab07fd9e in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007fe6ab0b7ca4 in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007fe6ab0a2ae5 in base::MessageLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#9  0x00007fe6aa5c8598 in content::BrowserThreadImpl::CacheThreadRun(base::MessageLoop*) () at /lib64/libQt5WebEngineCore.so.5
#10 0x00007fe6aa5c880b in content::BrowserThreadImpl::Run(base::MessageLoop*) () at /lib64/libQt5WebEngineCore.so.5
#11 0x00007fe6ab0d0768 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#12 0x00007fe6ab0ccc2d in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#13 0x00007fe6a6f4c5ca in start_thread (arg=0x7fe662ffd700) at pthread_create.c:333
#14 0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 11 (Thread 0x7fe6637fe700 (LWP 6029)):
#0  0x00007fe6a6f51bd0 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fe6ab0c5445 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007fe6ab0c5524 in base::WaitableEvent::Wait() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007fe6ab0a6823 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007fe6ab0b7ca4 in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007fe6ab0a2ae5 in base::MessageLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#6  0x00007fe6aa5c84e8 in content::BrowserThreadImpl::ProcessLauncherThreadRun(base::MessageLoop*) () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007fe6aa5c87fb in content::BrowserThreadImpl::Run(base::MessageLoop*) () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007fe6ab0d0768 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#9  0x00007fe6ab0ccc2d in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#10 0x00007fe6a6f4c5ca in start_thread (arg=0x7fe6637fe700) at pthread_create.c:333
#11 0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 10 (Thread 0x7fe663fff700 (LWP 6028)):
#0  0x00007fe6a6f51bd0 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fe6ab0c5445 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007fe6ab0c5524 in base::WaitableEvent::Wait() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007fe6ab0a6823 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007fe6ab0b7ca4 in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007fe6ab0a2ae5 in base::MessageLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#6  0x00007fe6aa5c8438 in content::BrowserThreadImpl::FileUserBlockingThreadRun(base::MessageLoop*) () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007fe6aa5c87eb in content::BrowserThreadImpl::Run(base::MessageLoop*) () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007fe6ab0d0768 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#9  0x00007fe6ab0ccc2d in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#10 0x00007fe6a6f4c5ca in start_thread (arg=0x7fe663fff700) at pthread_create.c:333
#11 0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 9 (Thread 0x7fe67897b700 (LWP 6027)):
#0  0x00007fe6ae7eaf1c in __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:95
#1  0x00007fe6ae7ec9d4 in ___fprintf_chk (fp=0x7fe6aea98750 <_IO_stdfile_2_lock>, flag=1, format=0x7fe6a06dac74 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007fe6a06c289e in _warn_helper () at /lib64/libevent-2.0.so.5
#3  0x00007fe6a06c2a94 in event_warn () at /lib64/libevent-2.0.so.5
#4  0x00007fe6a06c70d8 in epoll_dispatch () at /lib64/libevent-2.0.so.5
#5  0x00007fe6a06b10e0 in event_base_loop () at /lib64/libevent-2.0.so.5
#6  0x00007fe6ab07fe4a in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007fe6ab0b7ca4 in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007fe6ab0a2ae5 in base::MessageLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#9  0x00007fe6aa5c8388 in content::BrowserThreadImpl::FileThreadRun(base::MessageLoop*) () at /lib64/libQt5WebEngineCore.so.5
#10 0x00007fe6aa5c87db in content::BrowserThreadImpl::Run(base::MessageLoop*) () at /lib64/libQt5WebEngineCore.so.5
#11 0x00007fe6ab0d0768 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#12 0x00007fe6ab0ccc2d in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#13 0x00007fe6a6f4c5ca in start_thread (arg=0x7fe67897b700) at pthread_create.c:333
#14 0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 8 (Thread 0x7fe67917c700 (LWP 6026)):
#0  0x00007fe6a6f51bd0 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fe6ab0c5445 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007fe6ab0c5524 in base::WaitableEvent::Wait() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007fe6ab0a6823 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007fe6ab0b7ca4 in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007fe6ab0a2ae5 in base::MessageLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#6  0x00007fe6aa5c82d8 in content::BrowserThreadImpl::DBThreadRun(base::MessageLoop*) () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007fe6aa5c87cb in content::BrowserThreadImpl::Run(base::MessageLoop*) () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007fe6ab0d0768 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#9  0x00007fe6ab0ccc2d in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#10 0x00007fe6a6f4c5ca in start_thread (arg=0x7fe67917c700) at pthread_create.c:333
#11 0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 7 (Thread 0x7fe67997d700 (LWP 6025)):
#0  0x00007fe6a6f51f79 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00007fe6ab0c4c22 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007fe6ab0d3581 in base::PosixDynamicThreadPool::WaitForTask() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007fe6ab0d3aad in base::(anonymous namespace)::WorkerThread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007fe6ab0ccc2d in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007fe6a6f4c5ca in start_thread (arg=0x7fe67997d700) at pthread_create.c:333
#6  0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 6 (Thread 0x7fe67a17e700 (LWP 6024)):
#0  0x00007fe6a6f51f79 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:225
#1  0x00007fe6ab0c4c22 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007fe6ab0d3581 in base::PosixDynamicThreadPool::WaitForTask() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007fe6ab0d3aad in base::(anonymous namespace)::WorkerThread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007fe6ab0ccc2d in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007fe6a6f4c5ca in start_thread (arg=0x7fe67a17e700) at pthread_create.c:333
#6  0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 5 (Thread 0x7fe67a97f700 (LWP 6023)):
#0  0x00007fe6a6f51bd0 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fe6ab0c5445 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007fe6ab0c5524 in base::WaitableEvent::Wait() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007fe6ab0a6823 in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007fe6ab0b7ca4 in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007fe6ab0a2ae5 in base::MessageLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#6  0x00007fe6ab0d06e6 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007fe6ab0ccc2d in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007fe6a6f4c5ca in start_thread (arg=0x7fe67a97f700) at pthread_create.c:333
#9  0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 4 (Thread 0x7fe67b180700 (LWP 6022)):
#0  0x00007fe6ae7cd22d in write () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fe6ae750c1f in _IO_new_file_write (f=0x7fe6aea97520 <_IO_2_1_stderr_>, data=0x7fe67b17ceb0, n=39) at fileops.c:1263
#2  0x00007fe6ae7513a4 in _IO_new_file_xsputn (to_do=39, data=0x7fe67b17ceb0 "[warn] epoll_wait: Bad file descriptor\n", fp=0x7fe6aea97520 <_IO_2_1_stderr_>) at fileops.c:518
#3  0x00007fe6ae7513a4 in _IO_new_file_xsputn (f=0x7fe6aea97520 <_IO_2_1_stderr_>, data=<optimized out>, n=39) at fileops.c:1342
#4  0x00007fe6ae7281c4 in buffered_vfprintf (s=0x7fe6aea97520 <_IO_2_1_stderr_>, format=<optimized out>, args=<optimized out>) at vfprintf.c:2341
#5  0x00007fe6ae7256dd in _IO_vfprintf_internal (s=s@entry=0x7fe6aea97520 <_IO_2_1_stderr_>, format=0x7fe6a06dac74 "[%s] %s\n", ap=ap@entry=0x7fe67b17f438) at vfprintf.c:1293
#6  0x00007fe6ae7eca29 in ___fprintf_chk (fp=0x7fe6aea97520 <_IO_2_1_stderr_>, flag=1, format=<optimized out>) at fprintf_chk.c:35
#7  0x00007fe6a06c289e in _warn_helper () at /lib64/libevent-2.0.so.5
#8  0x00007fe6a06c2a94 in event_warn () at /lib64/libevent-2.0.so.5
#9  0x00007fe6a06c70d8 in epoll_dispatch () at /lib64/libevent-2.0.so.5
#10 0x00007fe6a06b10e0 in event_base_loop () at /lib64/libevent-2.0.so.5
#11 0x00007fe6ab07fd9e in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#12 0x00007fe6ab0b7ca4 in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#13 0x00007fe6ab0a2ae5 in base::MessageLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#14 0x00007fe6ab0d06e6 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#15 0x00007fe6ab0ccc2d in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#16 0x00007fe6a6f4c5ca in start_thread (arg=0x7fe67b180700) at pthread_create.c:333
#17 0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7fe680c67700 (LWP 6019)):
#0  0x00007fe6ae7cd1cd in read () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fe6a52d9660 in g_wakeup_acknowledge () at /lib64/libglib-2.0.so.0
#2  0x00007fe6a52964d6 in g_main_context_check () at /lib64/libglib-2.0.so.0
#3  0x00007fe6a52969a4 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#4  0x00007fe6a5296b1c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#5  0x00007fe6af5d780b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fe67c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#6  0x00007fe6af58683a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fe680c66c40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:206
#7  0x00007fe6af3e5343 in QThread::exec() (this=this@entry=0x7fe6b44ee060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:500
#8  0x00007fe6b4479559 in QDBusConnectionManager::run() (this=0x7fe6b44ee060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:189
#9  0x00007fe6af3e99aa in QThreadPrivate::start(void*) (arg=0x7fe6b44ee060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:365
#10 0x00007fe6a6f4c5ca in start_thread (arg=0x7fe680c67700) at pthread_create.c:333
#11 0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7fe68da10700 (LWP 6018)):
#0  0x00007fe6ae7d156d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007fe6a59baf80 in _xcb_conn_wait () at /lib64/libxcb.so.1
#2  0x00007fe6a59bcb79 in xcb_wait_for_event () at /lib64/libxcb.so.1
#3  0x00007fe691131179 in QXcbEventReader::run() (this=0x559642211560) at qxcbconnection.cpp:1333
#4  0x00007fe6af3e99aa in QThreadPrivate::start(void*) (arg=0x559642211560) at thread/qthread_unix.cpp:365
#5  0x00007fe6a6f4c5ca in start_thread (arg=0x7fe68da10700) at pthread_create.c:333
#6  0x00007fe6ae7dd0ed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7fe697b9c940 (LWP 6015)):
#0  0x00007fe6a6f51bd0 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fe6a59bb1f7 in _xcb_conn_wait () at /lib64/libxcb.so.1
#2  0x00007fe6a59bc89f in wait_for_reply () at /lib64/libxcb.so.1
#3  0x00007fe6a59bcad4 in xcb_request_check () at /lib64/libxcb.so.1
#4  0x00007fe69115091c in QXcbShmImage::QXcbShmImage(QXcbScreen*, QSize const&, unsigned int, QImage::Format) (this=0x5596441167e0, screen=<optimized out>, size=..., depth=<optimized out>, format=QImage::Format_RGB32) at qxcbbackingstore.cpp:166
#5  0x00007fe691150ea9 in QXcbBackingStore::resize(QSize const&, QRegion const&) (this=0x55964c5086f0, size=...) at qxcbbackingstore.cpp:452
#6  0x00007fe6afa1ca87 in QBackingStore::resize(QSize const&) (this=<optimized out>, size=...) at painting/qbackingstore.cpp:214
#7  0x00007fe6afe2202f in QWidgetBackingStore::doSync() (this=this@entry=0x559644e137f0) at kernel/qwidgetbackingstore.cpp:1204
#8  0x00007fe6afe23a85 in QWidgetBackingStore::sync(QWidget*, QRegion const&) (this=0x559644e137f0, exposedWidget=0x559642a72790, exposedRegion=...) at kernel/qwidgetbackingstore.cpp:1146
#9  0x00007fe6afe78853 in QWidgetWindow::event(QEvent*) (this=0x559642a1af30, event=0x7ffed4958ef0) at kernel/qwidgetwindow.cpp:278
#10 0x00007fe6afe14e4c in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=<optimized out>, receiver=0x559642a1af30, e=0x7ffed4958ef0) at kernel/qapplication.cpp:3804
#11 0x00007fe6afe1a32f in QApplication::notify(QObject*, QEvent*) (this=0x7ffed4959480, receiver=0x559642a1af30, e=0x7ffed4958ef0) at kernel/qapplication.cpp:3561
#12 0x00007fe6af5879fa in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=receiver@entry=0x559642a1af30, event=event@entry=0x7ffed4958ef0) at kernel/qcoreapplication.cpp:1015
#13 0x00007fe6af8bcbed in QGuiApplicationPrivate::processExposeEvent(QWindowSystemInterfacePrivate::ExposeEvent*) (event=0x7ffed4958ef0, receiver=0x559642a1af30) at ../../src/corelib/kernel/qcoreapplication.h:228
#14 0x00007fe6af8bcbed in QGuiApplicationPrivate::processExposeEvent(QWindowSystemInterfacePrivate::ExposeEvent*) (e=0x5596429dcc10) at kernel/qguiapplication.cpp:2741
#15 0x00007fe6af8bd85d in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) (e=<optimized out>) at kernel/qguiapplication.cpp:1723
#16 0x00007fe6af89e2fb in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) (flags=...) at kernel/qwindowsysteminterface.cpp:653
#17 0x00007fe691168160 in userEventSourceDispatch(GSource*, GSourceFunc, gpointer) (source=<optimized out>) at eventdispatchers/qeventdispatcher_glib.cpp:70
#18 0x00007fe6a52966ba in g_main_context_dispatch () at /lib64/libglib-2.0.so.0
#19 0x00007fe6a5296a70 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#20 0x00007fe6a5296b1c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#21 0x00007fe6af5d77ef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x5596421ea8b0, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#22 0x00007fe6af58683a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ffed49591e0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:206
#23 0x00007fe6af58e3dc in QCoreApplication::exec() () at kernel/qcoreapplication.cpp:1285
#24 0x0000559641a3156f in main ()

Possible duplicates by query: bug 375577, bug 371511.

Reported using DrKonqi
Comment 1 Rex Dieter 2017-03-09 13:00:14 UTC
This one looks to be crashing down in QtWebEngine for some reason,

Thread 13 (Thread 0x7fe6627fc700 (LWP 6031)):
[KCrash Handler]
#6  0x00007fe6a9b5db3e in QtWebEngineCore::NetworkDelegateQt::OnBeforeURLRequest(net::URLRequest*, base::Callback<void (int)> const&, GURL*) () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007fe6aa451210 in net::NetworkDelegate::NotifyBeforeURLRequest(net::URLRequest*, base::Callback<void (int)> const&, GURL*) () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007fe6aa415800 in net::URLRequest::Start() () at /lib64/libQt5WebEngineCore.so.5
Comment 2 Steve 2017-03-21 17:29:51 UTC
I've had about 20 recurrences of this bug today. Sometimes one of the threads is holding a mutex in the video drivers. The only solution is to reboot the whole system. I've rebooted my system about 10 times today. I have also spent 5 hours trying to access my email so that I can work. Between akonadi aborting and kontact crashing on start up, the whole mess is unusable. Not to mention that when it filters an email it has to resync the whole inbox which has > 150k emails in it. This alone takes 45 minutes on a good day.
Comment 3 Steve 2017-03-21 19:10:01 UTC
I was able to get a core dump to get a full backtrace. Only including some lines right before the crash.

#1  0x00007ff0688d54fe in KCrash::defaultCrashHandler(int) ()
    at /lib64/libKF5Crash.so.5
#2  0x00007ff0635157e0 in <signal handler called> () at /usr/lib64/libc-2.23.so
#3  0x00007ff05e964b3e in QtWebEngineCore::NetworkDelegateQt::OnBeforeURLRequest(net::URLRequest*, base::Callback<void (int)> const&, GURL*) (this=0x7ff000003a50, request=<optimized out>, callback=..., newUrl=0x7ff00069b140)
    at /usr/src/debug/qtwebengine-opensource-src-5.6.2/src/core/network_delegate_qt.cpp:111
        requestInfo = {d_ptr = {d = 0x7ff000608710}}
        resourceInfo = 0x7ff000560920
        resourceType = content::RESOURCE_TYPE_STYLESHEET
        navigationType = 0
        qUrl = {d = 0x7ff00041cf60}
        interceptor = 0x55c3ceecdd50
        renderProcessId = -277647872
        renderFrameId = 1305607009
        params = 
          {url = {d = 0x7ff00041cfc0}, isMainFrameRequest = 2, navigationType = 32752, renderProcessId = 3, renderFrameId = 0}
        __FUNCTION__ = "OnBeforeURLRequest"
#4  0x00007ff05f258210 in net::NetworkDelegate::NotifyBeforeURLRequest(net::URLRequest*, base::Callback<void (int)> const&, GURL*) (this=0x7ff000003a50, request=request@entry=0x7ff00069b030, callback=..., new_url=new_url@entry=0x7ff00069b140)
    at /usr/src/debug/qtwebengine-opensource-src-5.6.2/src/3rdparty/chromium/net/base/network_delegate.cc:26
        tracking_profile = 
              {scoped_profile_ = {birth_ = 0x0, stopwatch_ = {start_time_ = {ms_ = 0}, wallclock_duration_ms_ = 0, current_thread_data_ = 0x0, excluded_duration_ms_ = 0, parent_ = 0x0}}}
#5  0x00007ff05f21c800 in net::URLRequest::Start() (this=0x7ff00069b030)
    at /usr/src/debug/qtwebengine-opensource-src-5.6.2/src/3rdparty/chromium/net/url_request/url_request.cc:514
        tracking_profile25 = 
              {scoped_profile_ = {birth_ = 0x0, stopwatch_ = {start_time_ = {ms_ = 0}, wallclock_duration_ms_ = 0, current_thread_data_ = 0x0, excluded_duration_ms_ = 0, parent_ = 0x0}}}
        error = <optimized out>
---Type <return> to continue, or q <return> to quit---
        tracking_profile = 
              {scoped_profile_ = {birth_ = 0x0, stopwatch_ = {start_time_ = {ms_ = 0}, wallclock_duration_ms_ = 0, current_thread_data_ = 0x0, excluded_duration_ms_ = 0, parent_ = 0x0}}}
        tracking_profile2 = 
              {scoped_profile_ = {birth_ = 0x0, stopwatch_ = {start_time_ = {ms_ = 0}, wallclock_duration_ms_ = 0, current_thread_data_ = 0x0, excluded_duration_ms_ = 0, parent_ = 0x0}}}
#6  0x00007ff05f447da0 in content::ResourceLoader::StartRequestInternal() (this=0x7ff0003b9900)
    at /usr/src/debug/qtwebengine-opensource-src-5.6.2/src/3rdparty/chromium/content/browser/loader/resource_loader.cc:498
Comment 4 Steve 2017-03-22 14:48:18 UTC
Here's the output from the Fedora Retrace Server after analyzing one of my crashes:

https://retrace.fedoraproject.org/faf/reports/1636854/

I guess this confirms the issue is in Qt. Does anyone here have contacts with Qt project or know who to direct this to?
Comment 5 Christoph Feck 2017-03-31 19:12:25 UTC
Steve, the Qt bug tracker is at https://bugreports.qt.io/
Comment 6 Steve 2017-03-31 20:18:27 UTC
OK. I filed a bz here:
https://bugreports.qt.io/browse/QTBUG-59876

I was kind of hoping someone from KDEpim team would interact with the Qt people because I have almost no chance of answering their questions about kontact's code. I guess we'll see what comes up.
Comment 7 Steve 2017-04-03 13:35:45 UTC
OK, just as I predicted, the Qt people are asking me questions I have no idea how to answer. Can someone from the Kontact team hop on the Qt bug at https://bugreports.qt.io/browse/QTBUG-59876 and participate in answering questions? I'll do my part if anything Fedora related comes along. Thanks.
Comment 8 Steve 2017-04-05 12:19:46 UTC
From the Qt bug:

Could it be that you use the same QUrlRequestInterceptor multiple times, pass the Tab/WebEngineView/WebEnginePage to the constructor of the RequestInterceptor (making it the RequestInterceptors parent) and the crash happens at the next navigation after you closed the last view you created? That would mean that the RequestInterceptor is deleted by closing the tab (because that's its parent) and then the next navigation accesses pointer which is dangling at this point.

Is this correct? Any comments I should relay to the Qt folks?
Comment 9 Viktor Engelmann 2017-04-11 14:50:47 UTC
Hi everyone, I'm from Qt and working on the bug Steve reported. The Stacktraces I see here look like 3 completely unrelated problems.

The original issue might be https://bugreports.qt.io/browse/QTBUG-57608

The Fedora Retrace Server stacktrace might be related to https://bugreports.qt.io/browse/QTBUG-59692

And I am very confident that the crash in QtWebEngineCore::NetworkDelegateQt::OnBeforeURLRequest is a dereferencing of a dangling pointer, caused by kontact. You probably use the same QWebEngineRequestInterceptor for (and make it a child of) multiple QWebEnginePages so when one of the pages is closed, it deletes the interceptor and the next navigation accesses the dangling pointer, causing the crash. Comparing the stacktrace to the 5.6.2 version of network_delegate_qt.cpp, this seems highly likely.
Comment 10 Christoph Feck 2017-04-21 19:16:15 UTC
Thanks for the analysis, Viktor. Hopefully this information allows Kontact developers to fix the issue.
Comment 11 Christoph Feck 2017-05-31 17:23:38 UTC
*** Bug 379623 has been marked as a duplicate of this bug. ***
Comment 12 Christoph Feck 2017-08-01 22:12:18 UTC
*** Bug 382560 has been marked as a duplicate of this bug. ***
Comment 13 Logan Byrd 2017-08-28 16:24:25 UTC
Created attachment 107561 [details]
New crash information added by DrKonqi

kontact (5.5.1) using Qt 5.7.1

- What I was doing when the application crashed:

Clicking on "File>Quit" to exit Kontact crashes it if it is attempting to update folders on an IMAP account. This appears to happen 100% of the time. I manually quit frequently due to a separate bug I'm experiencing, whering moving or deleting multiple messages (even just two) will cause the messages to move, but they will never visibly leave the inbox, and no other changes to the inbox will display until Kontact is restarted.

-- Backtrace (Reduced):
#6  0x00007fe3e20e45f3 in QtWebEngineCore::NetworkDelegateQt::OnBeforeURLRequest(net::URLRequest*, base::Callback<void (int), (base::internal::CopyMode)1, (base::internal::RepeatMode)1> const&, GURL*) () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007fe3e2e5c071 in net::NetworkDelegate::NotifyBeforeURLRequest(net::URLRequest*, base::Callback<void (int), (base::internal::CopyMode)1, (base::internal::RepeatMode)1> const&, GURL*) () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007fe3e2f63ad7 in net::URLRequest::Start() () at /lib64/libQt5WebEngineCore.so.5
#9  0x00007fe3e2484b70 in content::ResourceLoader::StartRequestInternal() () at /lib64/libQt5WebEngineCore.so.5
#10 0x00007fe3e2484c68 in content::ResourceLoader::StartRequest() () at /lib64/libQt5WebEngineCore.so.5
Comment 14 Denis Kurz 2017-08-28 16:38:11 UTC
*** Bug 384083 has been marked as a duplicate of this bug. ***
Comment 15 Christoph Feck 2018-12-14 21:05:40 UTC
*** Bug 385847 has been marked as a duplicate of this bug. ***
Comment 16 Christoph Feck 2019-02-15 16:18:00 UTC
*** Bug 403417 has been marked as a duplicate of this bug. ***
Comment 17 Justin Zobel 2021-06-20 08:45:16 UTC
The upstream Qt bug is closed (https://bugreports.qt.io/browse/QTBUG-59876).

As this crash is quite old now, can you please confirm if this crash still occurs on a current version?

This bug has been set to "NEEDSINFO/WAITINGFORINFO", if you are able to update the bug report please mark it as reported when you add the new information, thank you.
Comment 18 Bug Janitor Service 2021-07-05 04:33:46 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 19 Bug Janitor Service 2021-07-20 04:33:38 UTC
This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!